<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DeviceContactList.aspx.cs" Inherits="GigaTech.CMS.Web.Apps.DeviceSystem.DeviceContactList" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
        <link href="/Common/DMZ/JS/jjsonviewer/jjsonviewer.css" rel="stylesheet" />

                    <script src="/Common/DMZ/JS/Jquery/jquery-1.11.0.min.js"></script>
    <script src="/Common/DMZ/JS/jjsonviewer/jjsonviewer.js"></script>
</head>
    <script language=javascript>
        $(function () {
            try {
                $("#doorList").jJsonViewer('<%=Door%>');
            } catch (e) {

            }

            try {
                $("#adminList").jJsonViewer('<%=Admin%>');
            } catch (e) {

            }

            try {
                $("#cameraList").jJsonViewer('<%=Camera%>');
            } catch (e) {

            }

            try {
                $("#emergencyList").jJsonViewer('<%=Emergency%>');
            } catch (e) {

            }

            try {
                $("#elevatorList").jJsonViewer('<%=Elevator%>');
            } catch (e) {

            }
        });

        
        Ext.onReady(function () {
            var panel=Ext.create('Ext.tab.Panel', {
                items: [
                    {
                           title: "<%=GetGlobalResourceObject("CMSResource", "titlev1")%>",
                     //   title: '管理員機清單',
                        contentEl: 'adminList',
                        autoScroll:true
                    },
                    {
                            title: "<%=GetGlobalResourceObject("CMSResource", "titlev2")%>",
                    //    title: '門口機清單',
                        contentEl: 'doorList',
                        autoScroll: true
                    },
                      {
                              title: "<%=GetGlobalResourceObject("CMSResource", "titlev3")%>",
                     //     title: '監視器清單',
                          contentEl: 'cameraList',
                          autoScroll: true
                      },
                        {
                             title: "<%=GetGlobalResourceObject("CMSResource", "titlev4")%>",
                       //     title: '緊急對講機清單',
                            contentEl: 'emergencyList',
                            autoScroll: true
                        },
                        {
                              title: "<%=GetGlobalResourceObject("CMSResource", "titlev5")%>",
                       //     title: '電梯層位清單',
                            contentEl: 'elevatorList',
                            autoScroll: true
                        }
                ],
                listeners: {
                    'tabchange': function (panel) {
                        panel.doLayout();
                    }
                }
            });
           

            
            Ext.create('Ext.container.Viewport', {
                layout: 'fit',
                items: [panel]
            });
        });
        
    </script>
<body>
    <form id="form1" runat="server">

    <div style="visibility:hidden">
            <div id="adminList" class="jjson"></div>
        <div id="doorList" class="jjson"></div>
        <div id="cameraList" class="jjson"></div>
        <div id="emergencyList" class="jjson"></div>
        <div id="elevatorList" class="jjson"></div>
    </div>
    </form>
</body>
</html>
